// Custom.scss

// 1. Include functions first (so you can manipulate colors, SVGs, calc, etc)
@import "../node_modules/bootstrap/scss/functions";

// 2. Include any default variable overrides here

// 3. Include remainder of required Bootstrap stylesheets
@import "../node_modules/bootstrap/scss/variables";
@import "../node_modules/bootstrap/scss/mixins";

// 4. Include any optional Bootstrap components as you like
@import "../node_modules/bootstrap/scss/root";
@import "../node_modules/bootstrap/scss/buttons";
@import "../node_modules/bootstrap/scss/reboot";
@import "../node_modules/bootstrap/scss/bootstrap-utilities.scss";


$dimension: 1.8em;
$background: white;
$border: 0.5px solid gray;
$btn-font-family: monospace;

body {
  margin: 0.5em;
}

.board {
  font-family: monospace;
  border: $border;
  margin-bottom: 1em;
  background: $background;
  display: inline-block;
}

.field {
  width: $dimension;
  min-width: $dimension;
  height: $dimension;
  min-height: $dimension;
  margin: 0em;
  font-size: $dimension*0.8;
  background: transparent;
  display: table-cell;
  text-align: center;
  vertical-align: middle;
  border: $border;
}

.row {
  display: table-row;
  margin: 0em;
  padding: 0em;
  border: none;
}

.hidden {
  background-image: linear-gradient(to right bottom, lightgray, gray);
}

.revealed0 {
  color: lightgray;
}
.revealed1 {
  color: blue;
}
.revealed2 {
  color: green;
}
.revealed3 {
  color: darkorange;
}
.revealed4 {
  color: violet;
}
.revealed5 {
  color: red;
}
.revealed6 {
  color: darkred;
}
.revealed7 {
  color: darkred;
}
.revealed8 {
  color: darkred;
}

.revealedMine {
  background: tomato;
  color: white;
}

.marked {
  background: lightgray;
  background-image: linear-gradient(to right bottom, lightgray, gray);
  color: red;
}

.button {
  border: 1px solid gray;
  padding: 5px;
  margin-right: 0.5em;
}

.button:hover {
  background: lightblue;
  border: 1px solid gray;
  padding: 5px;
}

.status {
  text-align: right;
  width: 100%;
}

.bar {
  margin-top: 1.5em;
}